VARKON Version 1.15 1997-10-24

> ## refc - Function

> Integer to reference conversion
> Description
> Converts one or more integers to a reference. Useful when manipulating series of entities for example within a loop.
> Syntax
> refc(s1, o1, s2, o2,.........)
> All parameters to refc() are INT.
> Principal parameters

> s1 | - Sequence number

> Optional parameters

> o1 | - Order number, default = 1
> s2 | - Additional sequence number
> o2 | - Additional order number

> A maximum of 10 sequence number / order number pairs may be specified.
> Return value
> The corresponding REF value.
> Examples

> refc(5) | = #5.1
> refc(5,1) | = #5.1
> refc(5,7) | = #5.7
> refc(5,7,3) | = #5.7#3.1
> refc(5, ,3) | = #5.1#3.1
> refc(5, ,3, ,2, ,7) | = #5.1#3.1#2.1#7.1
> refc(5, , , , , ,7) | = Invalid

VARKON Homepage | Index